core::dbus::Codec< com::lomiri::location::Criteria > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::lomiri::location::Criteria >:

## Public Types

typedef com::lomiri::location::units::Quantity< com::lomiri::location::units::Length > | HorizontalAccuracy
typedef com::lomiri::location::units::Quantity< com::lomiri::location::units::Length > | VerticalAccuracy
typedef com::lomiri::location::units::Quantity< com::lomiri::location::units::Velocity > | VelocityAccuracy
typedef com::lomiri::location::units::Quantity< com::lomiri::location::units::PlaneAngle > | HeadingAccuracy

## Static Public Member Functions

static void | encode_argument (Message::Writer &writer, const com::lomiri::location::Criteria &in)
static void | decode_argument (Message::Reader &reader, com::lomiri::location::Criteria &in)

## Detailed Description

Definition at line 357 of file codec.h.

## Member Typedef Documentation

## HeadingAccuracy

typedef com::lomiri::location::units::Quantity<com::lomiri::location::units::PlaneAngle> core::dbus::Codec< com::lomiri::location::Criteria >::HeadingAccuracy

Definition at line 362 of file codec.h.

## HorizontalAccuracy

typedef com::lomiri::location::units::Quantity<com::lomiri::location::units::Length> core::dbus::Codec< com::lomiri::location::Criteria >::HorizontalAccuracy

Definition at line 359 of file codec.h.

## VelocityAccuracy

typedef com::lomiri::location::units::Quantity<com::lomiri::location::units::Velocity> core::dbus::Codec< com::lomiri::location::Criteria >::VelocityAccuracy

Definition at line 361 of file codec.h.

## VerticalAccuracy

typedef com::lomiri::location::units::Quantity<com::lomiri::location::units::Length> core::dbus::Codec< com::lomiri::location::Criteria >::VerticalAccuracy

Definition at line 360 of file codec.h.

## Member Function Documentation

## decode_argument()

void core::dbus::Codec< com::lomiri::location::Criteria >::decode_argument | ( | Message::Reader & | reader,
|  | com::lomiri::location::Criteria & | in )

inline static

Definition at line 377 of file codec.h.

References com::lomiri::location::Criteria::accuracy, com::lomiri::location::Criteria::Requires::altitude, decode_argument(), com::lomiri::location::Criteria::Accuracy::heading, com::lomiri::location::Criteria::Requires::heading, com::lomiri::location::Criteria::Accuracy::horizontal, com::lomiri::location::Criteria::Requires::position, com::lomiri::location::Criteria::requires, com::lomiri::location::Criteria::Accuracy::velocity, com::lomiri::location::Criteria::Requires::velocity, and com::lomiri::location::Criteria::Accuracy::vertical.

Referenced by decode_argument().

Here is the call graph for this function:

## encode_argument()

void core::dbus::Codec< com::lomiri::location::Criteria >::encode_argument | ( | Message::Writer & | writer,
|  | const com::lomiri::location::Criteria & | in )

inline static

Definition at line 364 of file codec.h.

References com::lomiri::location::Criteria::accuracy, com::lomiri::location::Criteria::Requires::altitude, encode_argument(), com::lomiri::location::Criteria::Accuracy::heading, com::lomiri::location::Criteria::Requires::heading, com::lomiri::location::Criteria::Accuracy::horizontal, com::lomiri::location::Criteria::Requires::position, com::lomiri::location::Criteria::requires, com::lomiri::location::Criteria::Accuracy::velocity, com::lomiri::location::Criteria::Requires::velocity, and com::lomiri::location::Criteria::Accuracy::vertical.

Referenced by encode_argument().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- codec.h